#!/hint/bash -euE
# Copyright (C) 2018  Luke Shumaker
# SPDX-License-Identifier: AGPL-3.0-or-later

post_install+=(10:utf8:post_install)
utf8:post_install() {
	local arg_mountpoint=$1

	echo en_US.UTF-8 UTF-8 >"${arg_mountpoint}/etc/locale.gen"
	echo LANG=en_US.UTF-8 >"${arg_mountpoint}/etc/locale.conf"
	arch-chroot -- "$arg_mountpoint" locale-gen
}
